Add irb as development dependency if ruby >= 2.6

In those ruby versions irb isn't always loaded.
11 jobs for paz/irb-dev-dependency in 11 minutes and 18 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Static
failed #126726
allowed to fail
changelog

00:00:31

passed #126727
codespell

00:00:28

 
  Test
passed #126728
ruby:2.1

00:05:31

83.26%
passed #126729
ruby:2.2

00:05:52

83.23%
passed #126730
ruby:2.3

00:07:40

82.8%
passed #126731
ruby:2.4

00:03:53

82.84%
passed #126732
ruby:2.5

00:03:31

82.52%
 
  Debian:Build
failed #126733
allowed to fail
debian:build

00:01:50

 
  Debian:Qa
failed #126734
allowed to fail
debian:autopkgtest

00:00:43

failed #126735
allowed to fail
debian:lintian

00:01:14

failed #126736
allowed to fail
debian:piuparts

00:01:01

 
Name Stage Failure
failed
debian:lintian Debian:Qa
Setting up libmoo-perl (2.003006-1) ...
Setting up libmoox-aliases-perl (0.001006-1) ...
Setting up libb-hooks-endofscope-perl (0.24-1) ...
Setting up libnamespace-clean-perl (0.27-1) ...
Setting up lintian (2.46.0) ...
Processing triggers for libc-bin (2.29-6) ...
$ lintian --allow-root --display-experimental --display-info --info --pedantic results/*.changes
bad package file name results/*.changes (neither .deb, .udeb, .changes, .dsc or .buildinfo file)
ERROR: Job failed: exit code 1
failed
debian:piuparts Debian:Qa
0m0.0s INFO: Running on: Linux runner-EyYDB4La-project-493-concurrent-0 4.9.0-8-amd64 #1 SMP Debian 4.9.144-3.1 (2019-02-19) x86_64
0m0.0s DEBUG: Starting command: ['dpkg', '--info', 'results/*.deb']
0m0.0s DUMP:
dpkg-deb: error: failed to read archive 'results/*.deb': No such file or directory
0m0.0s ERROR: Command failed (status=2): ['dpkg', '--info', 'results/*.deb']
dpkg-deb: error: failed to read archive 'results/*.deb': No such file or directory

0m0.0s ERROR: piuparts run ends.
ERROR: Job failed: exit code 1
failed
debian:autopkgtest Debian:Qa
Setting up python3-pkg-resources (44.0.0-1) ...
Setting up python3-chardet (3.0.4-4) ...
Setting up python3-debian (0.1.36) ...
Setting up autopkgtest (5.11) ...
Processing triggers for libc-bin (2.29-6) ...
$ eatmydata autopkgtest results/*.dsc -- null
usage: autopkgtest [options] [testbinary ...] testsrc -- virt-server [options]
autopkgtest: error: results/*.dsc is not a valid test package
ERROR: Job failed: exit code 1
failed
debian:build Debian:Build
/usr/bin/ruby2.5 /usr/bin/rspec --format documentation failed
ERROR: Test "ruby2.5" failed. Exiting.
dh_auto_install: error: dh_ruby --install /builds/schleuder/schleuder/debian/schleuder returned exit code 1
make: *** [debian/rules:7: binary] Error 25
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2
debuild: fatal error at line 1182:
dpkg-buildpackage -us -uc -ui -i -I failed
gbp:error: 'debuild -i -I -us -uc --lintian-opts --no-lintian' failed: it exited with 29
ERROR: Job failed: exit code 1
failed
changelog Static
Running hooks in /etc/ca-certificates/update.d...
done.
$ source <(./utils/ci/get-target-branch.rb)
$ git fetch origin $target_branch:$target_branch
From https://0xacab.org/schleuder/schleuder
* branch HEAD -> FETCH_HEAD
$ if git diff --exit-code --quiet $target_branch...HEAD -- CHANGELOG.md; then echo "No CHANGELOG edit found, please verify manually"; exit 1; fi
No CHANGELOG edit found, please verify manually
ERROR: Job failed: exit code 1